Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 395369 - [PATCH] media-sound/amarok-2.5.0 version bump
Summary: [PATCH] media-sound/amarok-2.5.0 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-20 15:44 UTC by Matěj Laitl
Modified: 2011-12-31 05:57 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matěj Laitl 2011-12-20 15:44:38 UTC
Hi Gentoo KDE,
Amarok 2.5.0 has been released today and this is not another rude 0-day version bump request, but a try not tu duplicate efforts. 2.5.0 version has some new features and translations from the Gentoo point of view, following diff between amarok-2.4.3 and amarok-2.5.0 works well for me:


strohel@edgy ~ $ diff -u /usr/portage/media-sound/amarok/amarok-2.4.3.ebuild /usr/local/portage/media-sound/amarok/amarok-2.5.0.ebuild 
--- /usr/portage/media-sound/amarok/amarok-2.4.3.ebuild 2011-11-08 21:31:18.000000000 +0100
+++ /usr/local/portage/media-sound/amarok/amarok-2.5.0.ebuild   2011-12-20 13:33:34.436926935 +0100
@@ -1,11 +1,14 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/amarok/amarok-2.4.3.ebuild,v 1.4 2011/11/08 20:16:45 dilfridge Exp $
+# $Header: $
 
 EAPI=4
 
-KDE_LINGUAS="bg ca cs da de en_GB es et eu fi fr it ja km nb nds nl pa
-pl pt pt_BR ru sl sr sr@latin sv th tr uk wa zh_TW"
+KDE_HANDBOOK="optional"
+KDE_LINGUAS="af ar ast be bg bs ca ca@valencia cs csb da de el en_GB eo es et
+eu fa fi fr ga gl he hr hu is it ja km ko ku lt lv mai ml ms nb nds ne nl nn
+oc pa pl pt pt_BR ro ru se si sk sl sq sr sr@ijekavian sr@ijekavianlatin
+sr@Latn sv tg th tr ug uk wa zh_CN zh_TW"
 KDE_SCM="git"
 KDE_REQUIRED="never"
 inherit flag-o-matic kde4-base
@@ -21,7 +24,7 @@
 
 LICENSE="GPL-2"
 SLOT="4"
-IUSE="cdda daap debug +embedded ipod lastfm mp3tunes mtp opengl +player semantic-desktop +utils"
+IUSE="cdda daap debug +embedded ipod lastfm mp3tunes mtp ofa opengl semantic-desktop +utils"
 
 # Tests require gmock - http://code.google.com/p/gmock/
 # It's not in the tree yet
@@ -29,60 +32,52 @@
 
 # ipod requires gdk enabled and also gtk compiled in libgpod
 COMMONDEPEND="
+       app-crypt/qca:2
+       >=app-misc/strigi-0.5.7
+       $(add_kdebase_dep kdelibs 'opengl?,semantic-desktop?')
+       $(add_kdebase_dep kdebase-kioslaves)
        >=media-libs/taglib-1.6.1[asf,mp4]
        >=media-libs/taglib-extras-1.0.1
-       player? (
-               app-crypt/qca:2
-               >=app-misc/strigi-0.5.7
-               $(add_kdebase_dep kdelibs 'opengl?,semantic-desktop?')
-               $(add_kdebase_dep kdebase-kioslaves)
-               sys-libs/zlib
-               >=virtual/mysql-5.1[embedded?]
-               x11-libs/qt-script
-               >=x11-libs/qtscriptgenerator-0.1.0
-               cdda? (
-                       $(add_kdebase_dep libkcddb)
-                       $(add_kdebase_dep libkcompactdisc)
-                       $(add_kdebase_dep kdemultimedia-kioslaves)
-               )
-               ipod? ( >=media-libs/libgpod-0.7.0[gtk] )
-               lastfm? ( >=media-libs/liblastfm-0.3.0 )
-               mp3tunes? (
-                       dev-libs/glib:2
-                       dev-libs/libxml2
-                       dev-libs/openssl
-                       net-libs/loudmouth
-                       net-misc/curl
-                       x11-libs/qt-core[glib]
-               )
-               mtp? ( >=media-libs/libmtp-1.0.0 )
-               opengl? ( virtual/opengl )
+       sys-libs/zlib
+       >=virtual/mysql-5.1[embedded?]
+       x11-libs/qt-script
+       >=x11-libs/qtscriptgenerator-0.1.0
+       cdda? (
+               $(add_kdebase_dep libkcddb)
+               $(add_kdebase_dep libkcompactdisc)
+               $(add_kdebase_dep kdemultimedia-kioslaves)
        )
-       utils? (
-               x11-libs/qt-core
-               x11-libs/qt-dbus
+       ipod? ( >=media-libs/libgpod-0.7.0[gtk] )
+       lastfm? ( >=media-libs/liblastfm-0.3.0 )
+       mp3tunes? (
+               dev-libs/glib:2
+               dev-libs/libxml2
+               dev-libs/openssl
+               net-libs/loudmouth
+               net-misc/curl
+               x11-libs/qt-core[glib]
        )
-       !player? ( !utils? ( media-sound/amarok[player] ) )
+       mtp? ( >=media-libs/libmtp-1.0.0 )
+       ofa? ( >=media-libs/libofa-0.9.0 )
+       opengl? ( virtual/opengl )
 "
 DEPEND="${COMMONDEPEND}
        dev-util/automoc
        dev-util/pkgconfig
 "
 RDEPEND="${COMMONDEPEND}
+       $(add_kdebase_dep phonon-kde)
        !media-sound/amarok-utils
-       player? ( $(add_kdebase_dep phonon-kde) )
 "
 
 src_prepare() {
-       if ! use player; then
-               # Disable po processing
-               sed -e "s:include(MacroOptionalAddSubdirectory)::" \
-                       -i "${S}/CMakeLists.txt" \
-                       || die "Removing include of MacroOptionalAddSubdirectory failed."
-               sed -e "s:macro_optional_add_subdirectory( po )::" \
-                       -i "${S}/CMakeLists.txt" \
-                       || die "Removing include of MacroOptionalAddSubdirectory failed."
-       fi
+       # en locale is special in a way that it is always enabled. English Amarok
+       # handbook however lies in the doc/en_US folder and thus is not picked
+       # up by kde4-functions eclass. Rename it.
+       sed -e 's:add_subdirectory(en_US):add_subdirectory(en):' \
+               -i "${S}/doc/CMakeLists.txt" \
+               || die "Replacing en_US by en in doc/CMakeLists.txt failed."
+       mv "${S}/doc/en_US" "${S}/doc/en" || die "Moving doc/en_US to doc/en failed."
 
        kde4-base_src_prepare
 }
@@ -92,26 +87,21 @@
        use ppc64 && append-flags -mminimal-toc
        local mycmakeargs
 
-       if use player; then
-               mycmakeargs=(
-                       -DWITH_PLAYER=ON
-                       -DWITH_Libgcrypt=OFF
-                       $(cmake-utils_use embedded WITH_MYSQL_EMBEDDED)
-                       $(cmake-utils_use_with ipod)
-                       $(cmake-utils_use_with ipod Gdk)
-                       $(cmake-utils_use_with lastfm LibLastFm)
-                       $(cmake-utils_use_with mtp)
-                       $(cmake-utils_use_with mp3tunes MP3Tunes)
-               )
-       else
-               mycmakeargs=(
-                       -DWITH_PLAYER=OFF
-               )
-       fi
-
-       mycmakeargs+=(
+       # Mygpo-qt not yet in portage, add IUSE when available
+       mycmakeargs=(
+               -DWITH_PLAYER=ON
+               -DWITH_Libgcrypt=OFF
+               -DWITH_Mygpo-qt=OFF
+               $(cmake-utils_use embedded WITH_MYSQL_EMBEDDED)
+               $(cmake-utils_use_with ipod)
+               $(cmake-utils_use_with ipod Gdk)
+               $(cmake-utils_use_with lastfm LibLastFm)
+               $(cmake-utils_use_with mtp)
+               $(cmake-utils_use_with mp3tunes MP3Tunes)
+               $(cmake-utils_use_with ofa LibOFA)
                $(cmake-utils_use_with utils UTILITIES)
        )
+       # following are commented-out in Amarok CMakeLists.txt:
                # $(cmake-utils_use_with semantic-desktop Nepomuk)
                # $(cmake-utils_use_with semantic-desktop Soprano)
 
@@ -121,29 +111,26 @@
 pkg_postinst() {
        kde4-base_pkg_postinst
 
-       if use player; then
-
-               if use daap; then
-                       echo
-                       elog "You have installed amarok with daap support."
-                       elog "You may be interested in installing www-servers/mongrel as well."
-                       echo
-               fi
+       if use daap; then
+               echo
+               elog "You have installed amarok with daap support."
+               elog "You may be interested in installing www-servers/mongrel as well."
+               echo
+       fi
 
-               if ! use embedded; then
-                       echo
-                       elog "You've disabled the amarok support for embedded mysql DBs."
-                       elog "You'll have to configure amarok to use an external db server."
+       if ! use embedded; then
+               echo
+               elog "You've disabled the amarok support for embedded mysql DBs."
+               elog "You'll have to configure amarok to use an external db server."
+               echo
+               elog "Please read http://amaroklive.com/wiki/MySQL_Server for details on how"
+               elog "to configure the external db and migrate your data from the embedded database."
+               echo
+
+               if has_version "virtual/mysql[minimal]"; then
+                       elog "You built mysql with the minimal use flag, so it doesn't include the server."
+                       elog "You won't be able to use the local mysql installation to store your amarok collection."
                        echo
-                       elog "Please read http://amaroklive.com/wiki/MySQL_Server for details on how"
-                       elog "to configure the external db and migrate your data from the embedded database."
-                       echo
-
-                       if has_version "virtual/mysql[minimal]"; then
-                               elog "You built mysql with the minimal use flag, so it doesn't include the server."
-                               elog "You won't be able to use the local mysql installation to store your amarok collection."
-                               echo
-                       fi
                fi
        fi
 }


Changed meta-data:


strohel@edgy ~ $ diff -u /usr/portage/media-sound/amarok/metadata.xml /usr/local/portage/media-sound/amarok/metadata.xml 
--- /usr/portage/media-sound/amarok/metadata.xml        2011-04-19 05:01:18.000000000 +0200
+++ /usr/local/portage/media-sound/amarok/metadata.xml  2011-12-18 17:11:57.930518262 +0100
@@ -21,6 +21,7 @@
     </flag>
     <flag name="lastfm">Enable Last.fm streaming services support through <pkg>media-libs/liblastfm</pkg></flag>
     <flag name="mp3tunes">Enable mp3tunes integration</flag>
+    <flag name="ofa">Use <pkg>media-libs/libofa</pkg> to compute MusicDNS acoustic fingerprints (used by MusicBrainz)</flag>
        <flag name="playdar">Build the playdar collection</flag>
        <flag name="player">Build the player</flag>
        <flag name="upnp">Support for upnp servers</flag>


In this version, it is impossible to build utilities without building the player [1], so I've removed the support from the ebuild, hence that many indentation changes.

[1] http://mail.kde.org/pipermail/amarok-devel/2011-December/009669.html

The whole ebuild can be found in my overlay: https://github.com/strohel/strohel-overlay/tree/master/media-sound/amarok
Comment 1 Jorge Manuel B. S. Vicetto (RETIRED) gentoo-dev 2011-12-20 16:10:54 UTC
I've already bumped amarok in the tree. I'll go over your changes later today.
About not being able to build utilities alone, I prefer to wait as upstream has noted there is interest in supporting that.
Comment 2 Matěj Laitl 2011-12-20 23:34:08 UTC
(In reply to comment #1)
> I've already bumped amarok in the tree. I'll go over your changes later today.
> About not being able to build utilities alone, I prefer to wait as upstream has
> noted there is interest in supporting that.

Okay, thanks. Speaking about the utilities only-build, we (Amarok developers) will probably try to re-add support for it in 2.6, so it may be better to just comment this out in the ebuild or something. (2.5 will probably never support that, there is no easy patch)

Here's an updated diff w/out the player changes, it looks much less scary:

strohel@edgy /usr/local/portage/media-sound/amarok $ diff -u /usr/portage/media-sound/amarok/amarok-2.5.0.ebuild amarok-2.5.0.ebuild 
--- /usr/portage/media-sound/amarok/amarok-2.5.0.ebuild 2011-12-20 10:22:10.000000000 +0100
+++ amarok-2.5.0.ebuild 2011-12-21 00:15:44.270477041 +0100
@@ -1,11 +1,14 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/amarok/amarok-2.5.0.ebuild,v 1.1 2011/12/20 09:22:10 jmbsvicetto Exp $
+# $Header: $
 
 EAPI=4
 
-KDE_LINGUAS="bg ca cs da de en_GB es et eu fi fr it ja km nb nds nl pa
-pl pt pt_BR ru sl sr sr@latin sv th tr uk wa zh_TW"
+KDE_HANDBOOK="optional"
+KDE_LINGUAS="af ar ast be bg bs ca ca@valencia cs csb da de el en_GB eo es et
+eu fa fi fr ga gl he hr hu is it ja km ko ku lt lv mai ml ms nb nds ne nl nn
+oc pa pl pt pt_BR ro ru se si sk sl sq sr sr@ijekavian sr@ijekavianlatin
+sr@Latn sv tg th tr ug uk wa zh_CN zh_TW"
 KDE_SCM="git"
 KDE_REQUIRED="never"
 inherit flag-o-matic kde4-base
@@ -21,7 +24,7 @@
 
 LICENSE="GPL-2"
 SLOT="4"
-IUSE="cdda daap debug +embedded ipod lastfm mp3tunes mtp opengl +player semantic-desktop +utils"
+IUSE="cdda daap debug +embedded ipod lastfm mp3tunes mtp ofa opengl +player semantic-desktop +utils"
 
 # Tests require gmock - http://code.google.com/p/gmock/
 # It's not in the tree yet
@@ -56,6 +59,7 @@
                        x11-libs/qt-core[glib]
                )
                mtp? ( >=media-libs/libmtp-1.0.0 )
+               ofa? ( >=media-libs/libofa-0.9.0 )
                opengl? ( virtual/opengl )
        )
        utils? (
@@ -84,6 +88,14 @@
                        || die "Removing include of MacroOptionalAddSubdirectory failed."
        fi
 
+       # en locale is special in a way that it is always enabled. English Amarok
+       # handbook however lies in the doc/en_US folder and thus is not picked
+       # up by kde4-functions eclass. Rename it.
+       sed -e 's:add_subdirectory(en_US):add_subdirectory(en):' \
+               -i "${S}/doc/CMakeLists.txt" \
+               || die "Replacing en_US by en in doc/CMakeLists.txt failed."
+       mv "${S}/doc/en_US" "${S}/doc/en" || die "Moving doc/en_US to doc/en failed."
+
        kde4-base_src_prepare
 }
 
@@ -92,16 +104,19 @@
        use ppc64 && append-flags -mminimal-toc
        local mycmakeargs
 
+       # Mygpo-qt not yet in portage, add IUSE when available
        if use player; then
                mycmakeargs=(
                        -DWITH_PLAYER=ON
                        -DWITH_Libgcrypt=OFF
+                       -DWITH_Mygpo-qt=OFF
                        $(cmake-utils_use embedded WITH_MYSQL_EMBEDDED)
                        $(cmake-utils_use_with ipod)
                        $(cmake-utils_use_with ipod Gdk)
                        $(cmake-utils_use_with lastfm LibLastFm)
                        $(cmake-utils_use_with mtp)
                        $(cmake-utils_use_with mp3tunes MP3Tunes)
+                       $(cmake-utils_use_with ofa LibOFA)
                )
        else
                mycmakeargs=(
@@ -112,6 +127,7 @@
        mycmakeargs+=(
                $(cmake-utils_use_with utils UTILITIES)
        )
+       # following are commented-out in Amarok CMakeLists.txt:
                # $(cmake-utils_use_with semantic-desktop Nepomuk)
                # $(cmake-utils_use_with semantic-desktop Soprano)
Comment 3 Jorge Manuel B. S. Vicetto (RETIRED) gentoo-dev 2011-12-28 01:41:31 UTC
Patch applied in the tree on amarok-2.5.0-r1.
Thanks for the patch and sorry for the delay.
Comment 4 Matěj Laitl 2011-12-29 16:35:03 UTC
(In reply to comment #3)
> Patch applied in the tree on amarok-2.5.0-r1.
> Thanks for the patch and sorry for the delay.

No problem, it's free software and holiday time. :) However, I think there are some omissions in the in-tree amarok-2.5.0-r1 (partially my fault becuase I updated the patch in-between). Here is the updated patch against in-tree 2.5.0-r1, notice that you already added ofa to IUSE:


diff --git a/usr/portage/media-sound/amarok/amarok-2.5.0-r1.ebuild b/media-sound/amarok/amarok-2.5.0-r1.ebuild
index 3625136..95d44a8 100644
--- a/usr/portage/media-sound/amarok/amarok-2.5.0-r1.ebuild
+++ b/media-sound/amarok/amarok-2.5.0-r1.ebuild
@@ -1,9 +1,10 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/media-sound/amarok/amarok-2.5.0-r1.ebuild,v 1.1 2011/12/28 01:39:32 jmbsvicetto Exp $
 
 EAPI=4
 
+KDE_HANDBOOK="optional"
 KDE_LINGUAS="af ar ast be bg bs ca ca@valencia cs csb da de el en_GB eo es et
 eu fa fi fr ga gl he hr hu is it ja km ko ku lt lv mai ml ms nb nds ne nl nn
 oc pa pl pt pt_BR ro ru se si sk sl sq sr sr@ijekavian sr@ijekavianlatin
@@ -57,6 +58,7 @@ COMMONDEPEND="
                x11-libs/qt-core[glib]
        )
        mtp? ( >=media-libs/libmtp-1.0.0 )
+       ofa? ( >=media-libs/libofa-0.9.0 )
        opengl? ( virtual/opengl )
 "
 DEPEND="${COMMONDEPEND}
@@ -96,6 +98,7 @@ src_configure() {
                $(cmake-utils_use_with lastfm LibLastFm)
                $(cmake-utils_use_with mtp)
                $(cmake-utils_use_with mp3tunes MP3Tunes)
+               $(cmake-utils_use_with ofa LibOFA)
        )
 
        mycmakeargs+=(
Comment 5 Jorge Manuel B. S. Vicetto (RETIRED) gentoo-dev 2011-12-31 05:57:10 UTC
Thanks again Matěj. This should now be fixed.